aboutsummaryrefslogtreecommitdiff
path: root/package/exim/S86exim
diff options
context:
space:
mode:
Diffstat (limited to 'package/exim/S86exim')
-rw-r--r--package/exim/S86exim26
1 files changed, 26 insertions, 0 deletions
diff --git a/package/exim/S86exim b/package/exim/S86exim
new file mode 100644
index 0000000000..8c01b291e1
--- /dev/null
+++ b/package/exim/S86exim
@@ -0,0 +1,26 @@
+#!/bin/sh
+#
+# Start/stop exim
+#
+
+PIDFILE=/var/lock/exim/exim-daemon.pid
+
+case "$1" in
+ start)
+ echo "Starting exim..."
+ start-stop-daemon -S -x exim -- -bd
+ ;;
+ stop)
+ echo -n "Stopping exim..."
+ start-stop-daemon -K -o -p $PIDFILE
+ ;;
+ restart|reload)
+ "$0" stop
+ "$0" start
+ ;;
+ *)
+ echo "Usage: $0 {start|stop|restart}"
+ exit 1
+esac
+
+exit $?